BulkBean (cglib (Version 2.2.2))
Date: 2016-02-19

net.sf.cglib.beans

## Class BulkBean

- java.lang.Object
- - net.sf.cglib.beans.BulkBean

-     public abstract class BulkBean
      extends java.lang.Object

  Author:
    Juozas Baliuka

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BulkBean.Generator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BulkBean` | `create(java.lang.Class target, java.lang.String[] getters, java.lang.String[] setters, java.lang.Class[] types)`
    `java.lang.String[]` | `getGetters()`
    `java.lang.Class[]` | `getPropertyTypes()`
    `java.lang.Object[]` | `getPropertyValues(java.lang.Object bean)`
    `abstract void` | `getPropertyValues(java.lang.Object bean, java.lang.Object[] values)`
    `java.lang.String[]` | `getSetters()`
    `abstract void` | `setPropertyValues(java.lang.Object bean, java.lang.Object[] values)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPropertyValues

          public abstract void getPropertyValues(java.lang.Object bean,
                               java.lang.Object[] values)

    - #### setPropertyValues

          public abstract void setPropertyValues(java.lang.Object bean,
                               java.lang.Object[] values)

    - #### getPropertyValues

          public java.lang.Object[] getPropertyValues(java.lang.Object bean)

    - #### getPropertyTypes

          public java.lang.Class[] getPropertyTypes()

    - #### getGetters

          public java.lang.String[] getGetters()

    - #### getSetters

          public java.lang.String[] getSetters()

    - #### create

          public static BulkBean create(java.lang.Class target,
                        java.lang.String[] getters,
                        java.lang.String[] setters,
                        java.lang.Class[] types)

Copyright (c) 2001 - Apache Software Foundation